# Action Object

## Description

Represents an action.

## Properties

### actionId

ID of the action.

Type: `string`

### actionType

Type ID of the action.

Type: `string`

### actionVersionId

Version ID of the action.

Type: `string`

### comments

User notes for the action.

Type: `string`

### displayData

General purpose display data. This will only be populated when requested.

Type: `object`

### lastExection

Action execution data for the last execution of this action. This will only be populated when requested.

Type: [ActionExecution](/data-types/actionexecution-object.md) object.

### isCurrentVersion

True if the action version is the latest.

Type: `boolean`

### isEnabled

True if the action is enabled to execute. False otherwise.

Type: `boolean`

### lastModifiedBy

ID of the user whom last modified the action.

Type: `string`

### lastModifiedDate

Date, in ISO 8601 format, at which the action was last modified.

Type: `string`

### managedInstanceId

ID of the Managed Instance to which this action belongs.

Type: `string`

### name

Name of the action.

Type: `string`

### nextExecutionDate

Date, in ISO 8601 format, at which the action will next execute.

Type: `string`

### parameters

Additional action parameters specific to the action type. This will only be populated when requested.

Type: [ActionParameters](/data-types/actionparameters-object.md) object.

### projectId

ID of the project in which the action resides.

Type: `string`

### runningCount

Number of currently running executions of this action. This will only be populated when requested.

Type: `integer`

### schedule

Schedule for the action.

Type: [ActionSchedule](/data-types/actionschedule-object.md) object

### snsEndpoint

SNS endpoint to trigger the action.

Type: `string`

### tags

Tags for the action.

Type: array of `string`

## Sample JSON

```javascript
{
    "actionId": "a-00000001",
    "actionType": "amazon-start-ec2-instances",
    "actionVersionId": "av-00000001",
    "comments": "Comments about this action",
    "isCurrentVersion": true,
    "isEnabled": true,
    "lastModifiedBy": "u-00000001",
    "lastModifiedDate": "2016-06-09T12:21:00Z",
    "managedInstanceId": "mi-00000001",
    "name": "Start My Instances",
    "nextExecutionDate": "2016-06-10T12:23:00Z",
    "projectId": "proj-00000001",
    "schedule": {
        "scheduleType": "daily",
        "startDate": "2016-06-10",
        "timeOfDay": "12:23:00",
        "timeZoneId": "Eastern Standard Time",
        "parameters": {
            "days": [
                "monday",
                "tuesday",
                "wednesday",
                "thursday",
                "friday"
            ]
        }
    },
    "tags": [
        "cost-reduction"
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/action-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
